function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from "react";
import { Toast, ToastBody, ToastHeader } from "reactstrap";

var Toaster = function (_React$Component) {
  _inherits(Toaster, _React$Component);

  function Toaster(props) {
    _classCallCheck(this, Toaster);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.showToast = function (style, title, message, timeout) {
      _this.setState({
        show: true,
        mssstyle: style,
        title: title,
        message: message,
        timeout: timeout ? timeout : 5000
      });
    };

    _this.state = {
      show: false,
      timeout: 5000
    };
    return _this;
  }

  Toaster.prototype.componentDidUpdate = function componentDidUpdate(prevProps, prevState) {
    var _this2 = this;

    if (this.state.show && !prevState.show) {
      setTimeout(function () {
        _this2.setState({ show: false });
      }, this.state.timeout);
    }
  };

  Toaster.prototype.render = function render() {
    return React.createElement(
      "div",
      { style: { position: "fixed", top: 25, right: 25, zIndex: 99999 } },
      React.createElement(
        Toast,
        { isOpen: this.state.show },
        React.createElement(
          ToastHeader,
          { icon: this.state.mssstyle },
          this.state.title
        ),
        React.createElement(
          ToastBody,
          null,
          this.state.message
        )
      )
    );
  };

  return Toaster;
}(React.Component);

export default Toaster;